Upgrade to 2.2 breaks Squid reverse proxy



  • 2.2-RELEASE (amd64) After upgrade, Reverse proxy no longer works. When I try to change the configuration I get this error message.

    Reverse Proxy server

    errors

    The following input errors were detected:

    The field 'reverse HTTP port' must contain a port number higher than net.inet.ip.portrange.first sysctl value(1024).
        To listen on low ports, change portrange.first sysctl value to 0 on system tunable options and restart squid daemon.
        The field 'reverse HTTPS port' must contain a port number higher than net.inet.ip.portrange.first sysctl value(1024).
        To listen on low ports, change portrange.first sysctl value to 0 on system tunable options and restart squid daemon.



  • I removed Squid & Reverse proxy rebooted and created new NAT & FW rules for HTTP to be directed to port 80 on internal server. How ever ALL traffic to port 80 are somehow redirected to port 443. Even if I try to telnet to port 80 log's show the connection to port 443. I don't understand what is going on here. Do I need to re-install everything?



  • @SamTzu:

    I removed Squid & Reverse proxy rebooted and created new NAT & FW rules for HTTP to be directed to port 80 on internal server. How ever ALL traffic to port 80 are somehow redirected to port 443. Even if I try to telnet to port 80 log's show the connection to port 443. I don't understand what is going on here. Do I need to re-install everything?

    I have the same problem after updating to 2.2. Reverse proxy does not work and port 80 seems to be forwarded to 443. Hope someone can help me/us with this as its beyond my skills to solve it myself :/




Log in to reply